Package Details: pitivi-git 0.999.0.r589.gc1a94d28-1

Git Clone URL: https://aur.archlinux.org/pitivi-git.git (read-only)
Package Base: pitivi-git
Description: Editor for audio/video projects using the GStreamer framework (git version)
Upstream URL: http://www.pitivi.org/
Licenses: LGPL
Conflicts: pitivi
Provides: pitivi
Submitter: None
Maintainer: dbermond
Last Packager: dbermond
Votes: 20
Popularity: 0.250411
First Submitted: 2009-05-16 18:16
Last Updated: 2019-07-06 18:25

Dependencies (32)

Required by (0)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

Francois_B commented on 2015-01-03 23:57

Please, add python-pycanberra-git in deps.

BinaryMn commented on 2013-12-15 18:56

There is currently a dash in the revision, which is throwing a fatal error. The pkgver() function will need to be updated to strip any dashes.

Additionally, the Python include files are now being looked for in /usr/include instead of /usr/include/python`$version`. I've had to symlink Python.h and dependencies into /usr/include for this to build.

carstene1ns commented on 2013-10-09 15:24

Here are some fixes for this PKGBUILD:
- change case to "Pitivi" in pkgver().
- add yelp-tools to makedepends.
- export PYTHON=python2 before building.

See also pitivi package in communitiy repo for reference:
https://projects.archlinux.org/svntogit/community.git/tree/trunk/PKGBUILD?h=packages/pitivi

lubosz commented on 2013-07-22 22:05

awesome, thx

KerrickStaley commented on 2013-07-22 22:04

All yours. Care to take gst-python2-git as well?
https://aur.archlinux.org/packages/gst-python2-git/

lubosz commented on 2013-07-22 20:58

please update the pkgbuild. i can also maintain it if you want.

* updated for pacman 4
* cool pkgver
* added missing dependency python2-numpy
* added optdepends

https://gist.github.com/lubosz/6057592

lubosz commented on 2013-04-09 19:38

as the release to 0.16 comes closer it will get better.

KerrickStaley commented on 2013-04-09 19:29

OK, I'll update the PKGBUILD later this evening. JFYI, the Git version of PiTiVi was in a very non-functional state last time I checked.

lubosz commented on 2013-04-09 19:27

Python2 patching is not needed anymore. Upstream accepted python2 shebang.

https://git.gnome.org/browse/pitivi/commit/?id=239860b0d79fbde7fb99c69c90137acd6b4f0105

Current PKGBUILD will result in python22.

Please use this:

https://gist.github.com/lubosz/5348614

Glinx commented on 2012-12-24 14:34

Thank you.
python2-gobject and python2-xdg helped it start. Many thanks.